Package org.gradle.api.tasks

## Interface GroovySourceSet

-     public interface GroovySourceSet

  A `GroovySourceSetConvention` defines the properties and methods added to a `SourceSet` by the `GroovyPlugin`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SourceDirectorySet` | `getAllGroovy()` | All Groovy source for this source set.
    `SourceDirectorySet` | `getGroovy()` | Returns the source to be compiled by the Groovy compiler for this source set.
    `GroovySourceSet` | `groovy​(Closure configureClosure)` | Configures the Groovy source for this set.
    `GroovySourceSet` | `groovy​(Action<? super SourceDirectorySet> configureAction)` | Configures the Groovy source for this set.

- - ### Method Detail

    - #### getGroovy

          SourceDirectorySet getGroovy()

      Returns the source to be compiled by the Groovy compiler for this source set. Any Java source present in this set will be passed to the Groovy compiler for joint compilation.
      Returns:
        The Groovy/Java source. Never returns null.

    - #### groovy

          GroovySourceSet groovy​(@Nullable
                                 Closure configureClosure)

      Configures the Groovy source for this set.

      The given closure is used to configure the `SourceDirectorySet` which contains the Groovy source.

      Parameters:
        `configureClosure` - The closure to use to configure the Groovy source.
      Returns:
        this

    - #### groovy

          GroovySourceSet groovy​(Action<? super SourceDirectorySet> configureAction)

      Configures the Groovy source for this set.

      The given action is used to configure the `SourceDirectorySet` which contains the Groovy source.

      Parameters:
        `configureAction` - The action to use to configure the Groovy source.
      Returns:
        this

    - #### getAllGroovy

          SourceDirectorySet getAllGroovy()

      All Groovy source for this source set.
      Returns:
        the Groovy source. Never returns null.